//This is a program that demonstrates the use of software UART with
//Microchips Libraries.It simply sends "Hello World!" 
//BR=4800,No Parity,1 Stop Bit
//The software UART Section is documented on P#118 of C18 Libraries
//Use 181320Basic.DSN
//Uses RA6 for TX and RA7 for RX
//Add writUART.openuart,readuart in your project.
#include<p18f1320.h>
#include <sw_uart.h>
#include<delays.h>
#pragma config OSC=INTIO2,WDT=OFF,LVP=OFF
void main(void)
{	
	unsigned char data[]="Hello World!";
	OSCCON=0b01100000;//Internal 4MHz oscillator
    ADCON1=0x7F;//All pins Digital
	OpenUART();
	putsUART(data);
	while(1);

}	


// As indicated in the C18 libraries manual
void DelayTXBitUART(void)
{
Delay10TCYx(19);
_asm NOP _endasm
_asm NOP _endasm
_asm NOP _endasm
_asm NOP _endasm
_asm NOP _endasm
_asm NOP _endasm

}
void DelayRXHalfBitUART(void)
{
Delay10TCYx(9);
_asm NOP _endasm
_asm NOP _endasm
_asm NOP _endasm
_asm NOP _endasm
_asm NOP _endasm


}
void DelayRXBitUART(void)
{
Delay10TCYx(19);
_asm NOP _endasm
_asm NOP _endasm
_asm NOP _endasm
_asm NOP _endasm
}